Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.messaging
Class PipeUtils

    java.lang.Object
      org.red5.server.messaging.PipeUtils

    public class PipeUtils

extends Object

Helper class for pipe structure.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

Constructor Summary
`PipeUtils()`

Method Summary
`static void` | `connect(IProvider provider, IPipe pipe, IConsumer consumer)` Connect a provider/consumer with a pipe.
`static void` | `disconnect(IProvider provider, IPipe pipe, IConsumer consumer)` Disconnect a provider/consumer from a pipe.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PipeUtils

    public PipeUtils()

Method Detail

### connect

    public static void connect(IProvider provider,
                               IPipe pipe,
                               IConsumer consumer)

  Connect a provider/consumer with a pipe.

  Parameters:
    `provider` - Provider
    `pipe` - Pipe that used to estabilish connection
    `consumer` - Consumer

### disconnect

    public static void disconnect(IProvider provider,
                                  IPipe pipe,
                                  IConsumer consumer)

  Disconnect a provider/consumer from a pipe.

  Parameters:
    `provider` - Provider
    `pipe` - Pipe to disconnect from
    `consumer` - Consumer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project